-- name: [PET] Penguin
-- description: You can now throw- I mean... play with your little penguin!

if not _G.wpets then return end

local E_MODEL_WPET_PENGUIN = smlua_model_util_get_id('wpet_penguin_geo')

local ID_PENGUIN = _G.wpets.add_pet({
	name = "Penguin", credit = "AngelicMiracles, Nintendo",
	description = "Very feathered creatures that strive snowy lands!",
	modelID = E_MODEL_WPET_PENGUIN,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_PENGUIN)

_G.wpets.set_pet_sounds(ID_PENGUIN, {
	spawn = SOUND_OBJ2_BABY_PENGUIN_YELL,
	happy = SOUND_OBJ2_BABY_PENGUIN_YELL,
	vanish = nil,
	step = SOUND_OBJ_BABY_PENGUIN_WALK
})